Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156417 - bring back legacy ptys
Summary: bring back legacy ptys
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ckermit
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-29 22:18 UTC by Tom Horsley
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-02 08:50:29 UTC


Attachments (Terms of Use)
Patch I used to build working kermit (deleted)
2005-05-01 15:16 UTC, Tom Horsley
no flags Details

Description Tom Horsley 2005-04-29 22:18:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
As near as I can tell (without being a kernel expert), you have to
rebuild the kernel from source to enable "legacy ptys". I have as least
one old no longer supported commercial app I'd like to run, but it needs
these old style ptys to work (so I keep an ancient redhat 7.1 box
around for it).

Redhat also ships at least one app I know of (kermit) where the pty feature
simply doesn't work without the legacy pty support (gotcha! :-).

If there is a security issue involved, it would be nice for this to be
available as a boot option rather than having to rebuild the kernel.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.14_FC3

How reproducible:
Always

Steps to Reproduce:
1. One example that demonstrates this is to make an attempt to use
any feature of kermit (such as the ssh command) that trys to run
a subprocess in a pty.

Actual Results:  kermit doesn't print an error, but also doesn't work. If you run it
under strace you can see it trying various forms of pty access.

Expected Results:  It should work :-). (Actually, kermit does have ifdefs to make it use
the openpty library, so I have built a working version of kermit from
the source downloaded from columbia's kermit project - perhaps redhat
should adjust their kermit build as well if legacy ptys aren't gonna
come back).

Additional info:

Comment 1 Dave Jones 2005-05-01 07:52:20 UTC
eventually, these will even go away upstream.  Yes, there are security concerns,
among other problems, and reenabling them isn't an option.

reassigning to kermit maintainer.


Comment 2 Tom Horsley 2005-05-01 15:16:32 UTC
Created attachment 113908 [details]
Patch I used to build working kermit

I don't recommend this as an official fix to build a working kermit (I just
hacked on the redhat9 target rather than making a new target for
enterprise/fedora), but it did build a kermit which seems to work on
my FC3 system.

Comment 3 Peter Vrabec 2005-05-02 08:50:29 UTC
Add -DHAVE_PTMX to KFLAGS in ckermit.spec.
It helps me.

Comment 4 Tom Horsley 2005-05-02 22:00:59 UTC
If it works, it works, but I will just mention that using the openpty
library seems like it would be less likely to break if ptys change
again, since (one would hope) the openpty lib would remain compatible
even if the details of ptys didn't.


Note You need to log in before you can comment on or make changes to this bug.